{% extends 'base.html' %}
{% load static %}


{% block meta %}
<title>Kegiatan Ayu</title>
{% endblock meta %}

{% block content %}
    <!--kegiatan Section-->
    <section id="kegiatan">
        <div class="kegiatan container">
            <div class="row" style=" justify-content: space-between;">
                <div class="col-sm-left" style="padding-top: 200px;">
                    <div class="row" style="width: 600px;" >
                        <div class="col-sm-left">
                            <h1 style="font-size: 60px; font-weight: 700; color: #FFB800;">Let's play!</h1>
                        </div>
                        <div class="col-sm-right">
                            <p style="font-size: 25px; font-weight: 400; color: black;">Halo teman-teman, jika kamu tertarik untuk tahu dan mengikuti salah satu kegiatan ku, keep scrolling ! atau 
                            kalian bisa menambahkan kegiatan baru yang ingin kalian lakukan dengan tombol "Create New Activity"</p>
                        </div>
                        <div class="col-sm-right" style="padding-top: 30px;">
                            <a href="{% url 'main:formulir_kegiatan' %}" class="text-right">
                                <button class="btn btn-light link" style="color: white; border-radius: 25px; width: 25rem; font-size: 18px; font-weight: 600; padding: 5px; background-color: #355388;">Create New Activity</button>
                            </a>
                        </div>
                    </div>
                </div>
                <div class="col-sm-right" style="padding-top: 70px;">
                    <div class="img-responsive">
                        <img src = "{% static 'img\girl.svg' %}">
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--End kegiatan Section-->

    <!-- join kegiatan section -->
    <section id="join-kegiatan">
        <div class="join-kegiatan container">
            <h1 style="font-size: 25px; font-weight: 500; text-align: center; padding: 30px;">Join the activities that you want!</h1>
            <div class="row" style="justify-content: center;">
            {% for i in kegiatan %}
                <tr>
                    <div class="card" style="width: 30rem;">
                        <div class="row">
                            <div class="col-sm-left">
                                <h2 style="color: #FFB800; text-align: center; font-size: 22px; font-weight: 600;">{{i.nama_kegiatan}}</h2>
                                <img src="{{ i.gambar }}" style="width: 200px">
                                <h3>Guess :</h3>
                                    {% for p in i.participants.all %}
                                            <h4>{{p.nama}}</h4>
                                    {% endfor %}
                                    <div class="row" style="flex-direction: row;">
                                        <div class="form-group">
                                            <form action= "{% url 'main:kegiatanku_eksekusi' id_kegiatan=i.id %} " method="POST">    
                                                {% csrf_token %}
                                                {{ form }}
                                                <input type="submit" class="btn btn-transparent" name="submit" style="color: white; border-radius:30px; width: 8rem; font-size: 10px; font-weight: 600; padding: 5px; background-color: #355388;">
                                            </form>
                                        </div>
                                    </div>
                            </div>  
                        </div>
                    </div>

                </tr>
            {% endfor %}
            </div>   
        </div>
    </section>

    <!-- End of join kegiatan section -->

{% endblock content %}
      